packages:
  - packages/*

catalog:
  '@antfu/eslint-config': ^6.6.1
  '@capacitor-community/barcode-scanner': ^4.0.1
  '@capacitor-mlkit/barcode-scanning': ^8.0.0
  '@capacitor/app': 8.0.0
  '@capacitor/barcode-scanner': ^3.0.0
  '@capacitor/camera': ^8.0.0
  '@capacitor/cli': 8.0.0
  '@capacitor/clipboard': ^8.0.0
  '@capacitor/core': 8.0.0
  '@capacitor/file-transfer': ^2.0.0
  '@capacitor/filesystem': ^8.0.0
  '@capacitor/haptics': 8.0.0
  '@capacitor/ios': ^8.0.0
  '@capacitor/keyboard': 8.0.0
  '@capacitor/share': ^8.0.0
  '@capacitor/status-bar': 8.0.0
  '@capacitor/toast': ^8.0.0
  '@capp/eden': http://192.168.1.2:9538/api/capp-eden-0.0.37.tgz
  '@cloudflare/workers-types': ^4.20260113.0
  '@elysiajs/eden': ^1.4.6
  '@faker-js/faker': ^10.2.0
  '@iconify-json/bx': ^1.2.2
  '@iconify-json/circle-flags': ^1.2.10
  '@iconify-json/cryptocurrency-color': ^1.2.4
  '@iconify-json/ic': ^1.2.4
  '@iconify-json/icon-park-outline': ^1.2.4
  '@iconify-json/material-icon-theme': ^1.2.44
  '@iconify-json/material-symbols': ^1.2.50
  '@iconify-json/prime': ^1.2.4
  '@iconify-json/solar': ^1.2.5
  '@iconify-json/tdesign': ^1.2.11
  '@iconify/vue': ^5.0.0
  '@ionic/cli': ^7.2.1
  '@ionic/vue': ^8.7.11
  '@ionic/vue-router': ^8.7.11
  '@tailwindcss/vite': ^4.1.18
  '@types/lodash-es': ^4.17.12
  '@types/node': ^24.10.2
  '@types/qrcode': ^1.5.6
  '@vant/auto-import-resolver': ^1.3.0
  '@vee-validate/zod': ^4.15.1
  '@vitejs/plugin-basic-ssl': ^2.1.3
  '@vitejs/plugin-legacy': ^7.2.1
  '@vitejs/plugin-vue': ^6.0.2
  '@vitejs/plugin-vue-jsx': ^5.1.2
  '@vue/eslint-config-typescript': ^14.6.0
  '@vue/test-utils': ^2.4.6
  '@vueuse/core': ^14.1.0
  '@vueuse/integrations': ^14.1.0
  '@vueuse/router': ^14.1.0
  better-auth: ^1.4.14
  cypress: ^15.7.1
  dayjs: ^1.11.19
  dotenv: ^17.2.3
  eslint: ^9.39.1
  eslint-plugin-format: ^1.1.0
  eslint-plugin-vue: ^10.6.2
  ethers: ^6.16.0
  html2canvas: ^1.4.1
  ionicons: ^8.0.13
  jiti: ^2.6.1
  jsdom: ^27.3.0
  jsqr: ^1.4.0
  lightweight-charts: ^5.1.0
  lint-staged: ^16.2.7
  lodash-es: ^4.17.21
  markdown-it: ^14.1.0
  pinia: ^3.0.4
  qr-scanner-wechat: ^0.1.3
  qrcode: ^1.5.4
  simple-git-hooks: ^2.13.1
  tailwindcss: ^4.1.18
  terser: ^5.44.1
  typescript: ~5.9.3
  unplugin-auto-import: ^20.3.0
  unplugin-icons: ^22.5.0
  unplugin-vue-components: ^30.0.0
  vant: ^4.9.22
  vconsole: ^3.15.1
  vee-validate: ^4.15.1
  vite: ^7.2.7
  vite-plugin-pwa: ^1.2.0
  vitest: ^4.0.15
  vue: ^3.5.25
  vue-i18n: ^11.2.2
  vue-router: ^4.6.3
  vue-toastification: ^1.7.14
  vue-tsc: ^3.1.8
  workbox-window: ^7.4.0
  wrangler: ^4.54.0
  zod: ^3.24.1

catalogMode: prefer

shellEmulator: true

trustPolicy: off
